<?php
/**
 * TOP API: alibaba.alihealth.drug.download.entlist request
 * 
 * @author auto create
 * @since 1.0, 2021.11.22
 */
class AlibabaAlihealthDrugDownloadEntlistRequest
{
	/** 
	 * appKey
	 **/
	private $appKeyN;
	
	private $apiParas = array();
	
	public function setAppKeyN($appKeyN)
	{
		$this->appKeyN = $appKeyN;
		$this->apiParas["app_key_n"] = $appKeyN;
	}

	public function getAppKeyN()
	{
		return $this->appKeyN;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.download.entlist";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
